From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libreport/
Date: Sat, 23 Feb 2019 15:59:27 +0000 (UTC) [thread overview]
Message-ID: <1550937559.89d02633a473d31ec655dc0b45ec72948687194e.pacho@gentoo> (raw)
commit: 89d02633a473d31ec655dc0b45ec72948687194e
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 23 15:38:50 2019 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Feb 23 15:59:19 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89d02633
dev-libs/libreport: Version bump to 2.10.0
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
dev-libs/libreport/Manifest | 1 +
dev-libs/libreport/libreport-2.10.0.ebuild | 89 ++++++++++++++++++++++++++++++
2 files changed, 90 insertions(+)
diff --git a/dev-libs/libreport/Manifest b/dev-libs/libreport/Manifest
index 40bdba4ed1d..963e44cf4c3 100644
--- a/dev-libs/libreport/Manifest
+++ b/dev-libs/libreport/Manifest
@@ -1,2 +1,3 @@
DIST libreport-2.0.13.tar.gz 1190147 BLAKE2B fe79d924fbf7bd11cc3fd23956a137fb296baf9c40f12f3ecfefe68c82281f62299887511a096196b4fdcdc9245ab268592dace4e728c2c34af47581e52f5132 SHA512 cfe963db8091b245f8ceb7d8501466f4f9464c28d298faeafc9f6e57deafdfdc6501d468bf5ffd83703adb67bc1e05e06c56b5c0e0028bb2e0134788ddbb2181
+DIST libreport-2.10.0.tar.gz 2278084 BLAKE2B 95ac1fbf32e6e021e9553b35b10f9e46b7ea2e9cc6f21e53eb39a32a5261f7a6e49b2172381fdea30341fcc4311928691e68749a8bb5c41a4bf709151935687a SHA512 978ea442d82b75abf80b2075f540cb05c5577387a9221f2070c9695c4546d36169738d223f5e903d0b774b7e1566a6111c55a6bb51a0822ad1676095f067c45b
DIST libreport-2.9.5.tar.gz 2271742 BLAKE2B e74d694c0012e984aab8044e99fee8e12a197c0a2edb933e78f045260043d40557509056b1093bc13cbe983976d5525cde1f7596a942760df10c857e99d6b56e SHA512 f207710d88f39870d08e3a5fdfa3e1d5a808625bd36b1dcce363cefd39e582bad6be6dc4224db5e1df4404734c3dd69c437c377303fe978ae21b608fceb833ce
diff --git a/dev-libs/libreport/libreport-2.10.0.ebuild b/dev-libs/libreport/libreport-2.10.0.ebuild
new file mode 100644
index 00000000000..d64adf865ab
--- /dev/null
+++ b/dev-libs/libreport/libreport-2.10.0.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+
+inherit autotools python-r1 user
+
+DESCRIPTION="Generic library for reporting software bugs"
+HOMEPAGE="https://github.com/abrt/libreport"
+SRC_URI="https://github.com/abrt/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="+gtk python"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+ app-admin/augeas
+ >=dev-libs/glib-2.43.4:2
+ dev-libs/satyr:0=
+ dev-libs/json-c:=
+ dev-libs/libtar
+ dev-libs/libxml2:2
+ dev-libs/newt:=
+ dev-libs/xmlrpc-c:=
+ net-libs/libproxy:=
+ net-misc/curl:=[ssl]
+ sys-apps/dbus
+ sys-apps/systemd
+ gtk? ( >=x11-libs/gtk+-3.3.12:3 )
+ python? ( ${PYTHON_DEPS} )
+ x11-misc/xdg-utils
+"
+RDEPEND="${COMMON_DEPEND}"
+
+DEPEND="${COMMON_DEPEND}
+ app-text/asciidoc
+ app-text/xmlto
+ >=dev-util/intltool-0.3.50
+ >=sys-devel/gettext-0.17
+ virtual/pkgconfig
+"
+
+# Tests require python-meh, which is highly redhat-specific.
+RESTRICT="test"
+
+pkg_setup() {
+ enewgroup abrt
+ enewuser abrt -1 -1 -1 abrt
+}
+
+src_prepare() {
+ default
+ ./gen-version || die # Needed to be run before autoreconf
+ eautoreconf
+ use python && python_copy_sources
+}
+
+src_configure() {
+ local myargs=(
+ --localstatedir="${EPREFIX}/var"
+ --without-bugzilla
+ # Fixes "syntax error in VERSION script" and we aren't supporting Python2 anyway
+ --without-python2
+ $(usex python "--with-python3" "--without-python3")
+ )
+ if use python; then
+ python_foreach_impl run_in_build_dir \
+ econf "${myargs[@]}"
+ else
+ econf "${myargs[@]}"
+ fi
+}
+
+src_compile() {
+ use python && python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ use python && python_foreach_impl run_in_build_dir default
+ # Need to set correct ownership for use by app-admin/abrt
+ diropts -o abrt -g abrt
+ keepdir /var/spool/abrt
+
+ find "${D}" -name '*.la' -exec rm -f {} + || die
+}
next reply other threads:[~2019-02-23 15:59 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-02-23 15:59 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-03-13 18:36 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libreport/ Pacho Ramos
2022-03-13 18:36 Pacho Ramos
2022-01-22 9:14 Pacho Ramos
2021-09-26 10:18 Pacho Ramos
2021-09-07 15:08 Pacho Ramos
2021-09-07 15:08 Pacho Ramos
2021-08-08 12:50 Pacho Ramos
2021-05-09 19:48 Pacho Ramos
2021-05-08 17:42 Matt Turner
2021-05-01 14:07 Matt Turner
2020-11-08 16:26 Matt Turner
2020-11-08 16:26 Matt Turner
2020-08-24 22:24 Matt Turner
2020-04-26 1:54 Matt Turner
2020-03-19 2:07 Matt Turner
2020-01-28 9:39 Mart Raudsepp
2020-01-27 9:45 Mikle Kolyada
2020-01-26 22:39 Thomas Deutschmann
2018-12-12 16:30 Mikle Kolyada
2018-12-07 2:41 Thomas Deutschmann
2018-05-23 22:36 Aaron Bauman
2018-05-23 22:30 Aaron Bauman
2018-05-23 21:24 Aaron Bauman
2018-01-23 20:28 Andreas Sturmlechner
2017-07-09 20:56 Andreas Sturmlechner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1550937559.89d02633a473d31ec655dc0b45ec72948687194e.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox